/**
 * Enumération permettant d'associer le format d'une lettre et son prix u traif de base (poids inférieur à 50g).
 */
public enum FormatLettre {
    /**
     * Format de lettre A4
     */
    C4(2.0),
    /**
     * Format de lettre A5
     */
    C5(1.75),
    /**
     * Format carte postale (A4 plié en quatre)
     */
    C6(1.75),
    /**
     * Format lettre A4 pliée en trois
     */
    DL(1.66);

    /**
     * Le tarif de base à fixer.
     */
    private final double tarifBase;

    /**
     * Fixe le tarif de base
     * @param tarifBase Le tarif de base à fixer
     */
    FormatLettre(double tarifBase) {

        this.tarifBase = tarifBase;
    }
    /**
     * 
     * @return le tarif de base de l'objet.
     */
    public double tarifBase() {
        return this.tarifBase;
    }
}