/**
 *  Classe héritée de Courrier gérant l'affranchissement d'une lettre
 */

public class Lettre extends Courrier {

    /**     
     * Variable d'instance : le format de la lettre
     */
    private FormatLettre format;
    /**
     * Variable de classe : poids maximum autorisé pour une lettre 
     */
    static final int POIDS_MAX = 1000;

    static final int POIDS_TARIF_BASE = 50; 
    /**
     * Constructeur de l'objet Lettre.
     * @param poids Poids de la lettre (en grammes)
     * @param mode Mode d'envoi (express, normal)
     * @param adresse_destination Adresse de destination
     * @param format Format de la lettre (A4, A3)
     */
    public Lettre(int poids, boolean express, String adresse_destination, FormatLettre format) {
        super(poids, express, adresse_destination);
        this.format = format;
    }

    /**
     * Ajoute le format à la méthode toString de la classe abstraite courrier. 
     */
    @Override
    public String toString() {
        return super.toString() +
                "Format : " + this.format + "\n";
    }

    @Override
    public int poidsMax() {
        return Lettre.POIDS_MAX;
    }

    @Override
    public double tarifNormal() {
        return this.format.tarifBase() + 0.10 * ((this.poids - Lettre.POIDS_TARIF_BASE) / Lettre.POIDS_TARIF_BASE);
    }
}
