/**
 * Classe héritée de Courrier gérant l'affranchissement d'une publicité
 */

public class Publicite extends Courrier {

    /**
     * Variable de classe : coefficient à appliquer en fonction du poids.
     */
    static final double COEF_POIDS = 5.0;
    /**
     * Variable de classe : poids maximum autorisé pour un colis publicitaire
     */
    static final int POIDS_MAX = 2000;

    static final int POIDS_TARIF_BASE = 100;

    /**
     * Construit un objet de type publicité
     * 
     * @param poids              Le poids de la publicité
     * @param mode               Le mode d'envoi
     * @param adresseDestination L'adresse de destination.
     */
    public Publicite(int poids, boolean mode, String adresseDestination) {
        super(poids, mode, adresseDestination);
    }

    /**
     * Calcul effectif du prix de la publicité.
     */
    public double prix() {
        return COEF_POIDS * (this.poids / 100);
    }

    @Override
    public int poidsMax() {
        return POIDS_MAX;
    }

    @Override
    public double tarifNormal() {
       return 4.0 + 0.10 * ((this.poids - POIDS_TARIF_BASE) / POIDS_TARIF_BASE);
    }
}
